Ubuntu

KDE login fails after upgrade from Natty to Oneiric

Reported by Thilo-Alexander Ginkel on 2011-10-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
Undecided
Unassigned

Bug Description

After upgrading from Natty to Oneiric, logging in to KDE fails with the error message "Could not start D-Bus. Can you call qdbus?"

Manually attempting to start qdbus yields the following error: "qdbus: symbol lookup error: qdbus: undefined symbol: qt_dbus_metaobject_skip_annotations"

tg@andromeda ~$ sudo dpkg-query -l | grep qdbus
ii qdbus:i386 4:4.7.4-0ubuntu8 Qt 4 Dbus Tool

Architecture: x86_64

sudo apt-get install qdbus solved the problem, but this should not be necessary in the beginning:

tg@andromeda ~$ sudo apt-get install qdbus
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libxklavier12 libboost-program-options1.34.1 libopenexr-dev libaspell-dev libenchant-dev libjasper-dev libilmbase-dev libacl1-dev libpoppler3 libkeyutils-dev libattr1-dev libmozjs0d libical-dev libsasl2-dev libbz2-dev
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  qdbus:i386
The following NEW packages will be installed:
  qdbus
0 upgraded, 1 newly installed, 1 to remove and 1 not upgraded.
Need to get 27.8 kB of archives.
After this operation, 4,096 B of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://de.archive.ubuntu.com/ubuntu/ oneiric/main qdbus amd64 4:4.7.4-0ubuntu8 [27.8 kB]
Fetched 27.8 kB in 0s (167 kB/s)
dpkg: qdbus:i386: dependency problems, but removing anyway as you requested:
 libqt4-dbus:i386 depends on qdbus.
 libqt4-dbus depends on qdbus; however:
  Package qdbus is not installed.
  Package qdbus:i386 is to be removed.
(Reading database ... 508884 files and directories currently installed.)
Removing qdbus:i386 ...
Processing triggers for man-db ...
Selecting previously deselected package qdbus.
(Reading database ... 508885 files and directories currently installed.)
Unpacking qdbus (from .../qdbus_4%3a4.7.4-0ubuntu8_amd64.deb) ...
Processing triggers for man-db ...
Setting up qdbus (4:4.7.4-0ubuntu8) ...

description: updated
Colin Watson (cjwatson) wrote :

There may be some files in /var/log/dist-upgrade/ that would help us reproduce the pre-upgrade state of the system so that we can see why qdbus:i386 got installed instead of qdbus.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers